## cldump 0.10

=== src/Makefile ===
#
# $Id: Makefile 36 2004-11-07 18:31:46Z julien $
#

CFLAGS = -Wall -g -O2
OBJS = cldump.o cl_utils.o \
	cl_meta.o \
	cl_dump_meta.o cl_dump_meta_csv.o cl_dump_meta_sql.o \
	cl_dump_data.o cl_dump_data_csv.o cl_dump_data_sql.o \
	cl_dump_field.o

all: cldump

cldump: $(OBJS)
	$(CC) $(CFLAGS) -o cldump $(OBJS)

%.c %.o: %.c cldump.h

clean:
	rm -f $(OBJS) cldump *~

=== debian/changelog ===
cldump (0.10-6) unstable; urgency=low

  * Moved to source format 3.0 (quilt).

  * debian/control:
    + Bump Standards-Version to 3.8.4 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Thu, 06 May 2010 18:34:29 +0200

cldump (0.10-5) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.0 (no changes).
  * src/cldump.1:
    + Fix hyphen vs. minus sign.

 -- Julien BLACHE <jblache@debian.org>  Thu, 10 Jul 2008 10:33:54 +0200

cldump (0.10-4) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.7.3 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Sat, 01 Mar 2008 16:36:56 +0100

cldump (0.10-3) unstable; urgency=low

  * debian/rules:
    + Do not ignore errors from make clean.
  * debian/compat, debian/control:
    + Upgrade to DH_COMPAT 5. 

 -- Julien BLACHE <jblache@debian.org>  Thu, 02 Aug 2007 18:21:04 +0200

cldump (0.10-2) unstable; urgency=low

  * debian/control:
    + Fix override disparity (Priority: optional -> extra).

 -- Julien BLACHE <jblache@debian.org>  Sun,  8 Oct 2006 16:33:28 +0200

cldump (0.10-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Sat, 16 Sep 2006 15:31:53 +0200

cldump (0.9-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Bumped Standards-Version to 3.7.2 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Sun, 10 Sep 2006 11:41:57 +0200

cldump (0.8-1) unstable; urgency=low

  * Initial Release (closes: #305326).

 -- Julien BLACHE <jblache@debian.org>  Tue, 19 Apr 2005 12:08:00 +0200

=== debian/control ===
Source: cldump
Section: misc
Priority: extra
Maintainer: Julien BLACHE <jblache@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.4

Package: cldump
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Clarion database files extractor
 The cldump utility allows you to extract the content of a Clarion database;
 Clarion is a Windows IDE similar to Delphi and others, and has its own
 (simple) database format.
 .
 cldump can export the content of the database to CSV or SQL, plus its own
 "format" which dumps all the meta data along with the data contained in
 the database. When using the SQL output, you'll get a nearly ready-to-go
 dump of the database that will create the table and the indexes and insert
 the data into the table.
 .
 Note that cldump doesn't support all the datatypes yet; patches welcome.
 .
 You may be interested in the dbview package too, which can dump dBase files.

## cldump 0.11~dfsg

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile 36 2004-11-07 18:31:46Z julien $
+# $Id: Makefile 66 2010-11-27 10:20:11Z julien $
 #
 
 CFLAGS = -Wall -g -O2
@@ -7,7 +7,7 @@
 	cl_meta.o \
 	cl_dump_meta.o cl_dump_meta_csv.o cl_dump_meta_sql.o \
 	cl_dump_data.o cl_dump_data_csv.o cl_dump_data_sql.o \
-	cl_dump_field.o
+	cl_dump_field.o cl_decrypt.o
 
 all: cldump

=== debian/changelog ===
cldump (0.11~dfsg-8) unstable; urgency=medium

  * QA upload.

  [ Vagrant Cascadian ]
  * debian/rules: Pass CFLAGS via dh_auto_build override. (Closes: #1014426)

  [ Petter Reinholdtsen ]
  * Refreshed 01-hardening.patch with metadata and more future proof approach.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 02 Jun 2024 08:53:55 +0200

cldump (0.11~dfsg-7) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 02 Jun 2024 00:08:05 +0200

cldump (0.11~dfsg-6) unstable; urgency=medium

  * QA upload.
  * debian/control: Updated Standards-Version for 4.6.2.
  * debian/copyright: Updated.
  * debian/patches: Created 01-hardening.patch.

 -- Hugo Torres de Lima <hugotorres@protonmail.com>  Sun, 26 Feb 2023 13:00:15 -0300

cldump (0.11~dfsg-5) unstable; urgency=medium

  * QA upload.
  * Modernize packaging
    - Bump Standards-Version to 4.6.0 (no changes needed)
    - Switch from archaic d/rules to modern debhelper based one
      (Closes: #999050, #960293)
    - Remove un-needed d/dirs
    - Add d/{install,examples,manpages} to install binary,
      example and manpage
    - Add "Rules-Requires-Root: no"

 -- Nilesh Patra <nilesh@debian.org>  Sun, 01 May 2022 18:54:24 +0530

cldump (0.11~dfsg-4) unstable; urgency=medium

  * QA upload.
  * Mark autopkgtest as superficial. (Closes: #969812)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 10 Sep 2020 19:54:56 +0100

cldump (0.11~dfsg-3) unstable; urgency=medium

  * QA upload.
  * debian/tests/control: added to perform a simple test.

 -- Asael da Silva Vaz <asaelvaz@gmail.com>  Sun, 17 May 2020 21:29:55 -0300

cldump (0.11~dfsg-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as Maintainer. (see #688535)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Bumped Standards-Version to 4.5.0.
      - Changed Priority from extra to optional.
  * debian/rules: changed from dh_clean to dh_prep in install target.

 -- Asael da Silva Vaz <asaelvaz@gmail.com>  Sat, 09 May 2020 15:03:29 -0300

cldump (0.11~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Adds decryption feature for encrypted databases.

  * debian/control:
    + Bump Standards-Version to 3.9.1 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Sat, 27 Nov 2010 11:30:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,17 @@
 Source: cldump
 Section: misc
-Priority: extra
-Maintainer: Julien BLACHE <jblache@debian.org>
-Build-Depends: debhelper (>= 5)
-Standards-Version: 3.8.4
+Priority: optional
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13),
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/cldump
+Vcs-Git: https://salsa.debian.org/debian/cldump.git
 
 Package: cldump
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Clarion database files extractor
  The cldump utility allows you to extract the content of a Clarion database;
  Clarion is a Windows IDE similar to Delphi and others, and has its own

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -fPIE -fstack-protector-strong -Wformat -Werror=format-security
export DEB_LDFLAGS_MAINT_APPEND = -fPIE -pie -Wl,-z,relro -Wl,-z,now

%:
	dh $@ --sourcedirectory=src --buildsystem=makefile

override_dh_auto_build:
	dh_auto_build --sourcedirectory=src --buildsystem=makefile -- CFLAGS="$(CFLAGS)"

=== debian/tests/control ===
Test-Command: cldump --version
Restrictions: superficial
